LOSETUP(8)

BEZEICHNUNG
losetup - Loop-Geräte einrichten und steuern

ÜBERSICHT
Informationen erhalten:

losetup [Loop-Gerät]

losetup -l [-a]

losetup -j Datei [-o Versatz]

Ein Loop-Gerät abhängen:

losetup -d Loop-Gerät …

Alle zugehörigen Loop-Geräte abhängen:

losetup -D

Ein Loop-Gerät einrichten:

losetup [-o Versatz] [--sizelimit Größe] [--sector-size Größe]
[-Pr] [--show] -f|Loop-Gerät Datei

Größe eines Loop-Geräts ändern:

losetup -c Loop-Gerät

BESCHREIBUNG
losetup wird zum Zuweisen von Loop-Geräten zu regulären Dateien oder blockorientierten Geräten, zum Abhängen von Loop-Geräten und zum Abfragen des Status eines Loop-Gerätes verwendet. Wenn nur das Argument Loop-Gerät angegeben ist, wird der Status des korrespondierenden Loop-Geräts angezeigt. Falls keine Option angegeben ist, werden alle Loop-Geräte angezeigt.

Beachten Sie, dass das alte Ausgabeformat (d.h. losetup -a) mit durch Kommata getrennten Zeichenketten als veraltet markiert wurde und nun das Ausgabeformat mit --list bevorzugt wird.

Es ist möglich, mehrere unabhängige Loop-Geräte für die gleiche zugrunde liegende Datei anzulegen. Diese Art der Einrichtung kann gefährlich sein, kann Datenverlust, Beschädigungen und Überschreibungen verursachen. Verwenden Sie während der Einrichtung --nooverlap mit --find, um dieses Problem zu vermeiden.

OPTIONEN
Den Argumenten Größe und Versatz können die multiplikativen Suffixe KiB (=1024), MiB (=1024*1024) und so weiter für GiB, TiB, PiB, EiB, ZiB und YiB folgen (das »iB« ist optional, zum Beispiel ist »K« gleichbedeutend mit »KiB«) oder die Suffixe KB (=1000), MB (=1000*1000) und so weiter für GB, TB, PB, EB, ZB und YB.

-a, --all
    zeigt den Status aller Loop-Geräte an. Beachten Sie, dass gewöhnliche Benutzer nicht auf alle Informationen zugreifen können. Siehe auch --list. Das frühere Format (wie es ohne --list ausgegeben wird) ist veraltet.

-d, --detach Loop-Gerät …
    hängt die Datei oder das Gerät aus, das dem oder den angegebenen Loop-Gerät(en) zugeordnet ist. Beachten Sie, dass der Kernel seit Linux v3.7 die »lazy device destruction« (lockere Gerätezerstörung) verwendet. Der Abhängevorgang gibt keinen EBUSY-Fehler mehr zurück, falls das Gerät aktiv vom System verwendet wird, aber es wird mit einer »autoclear«-Markierung versehen und später zerstört.

-D, --detach-all
    hängt alle zugehörigen Loop-Geräte ab.

-f, --find [Datei]
    sucht nach dem ersten ungenutzten Loop-Gerät. Wenn ein Datei-Argument vorhanden ist, wird das gefundene Gerät als Loop-Gerät verwendet. Anderenfalls wird einfach dessen Name ausgegeben.

--show
    zeigt den Namen des zugehörigen Loop-Geräts an, wenn die Option -f und das Argument Datei vorhanden sind.

-L, --nooverlap
    prüft auf Konflikte zwischen Loop-Geräten, um die Situation zu vermeiden, bei der die gleiche zugrunde liegende Datei von mehreren Loop-Geräten gemeinsam verwendet wird. Wenn die Datei bereits von einem anderen Gerät verwendet wird, dann wird das Gerät erneut verwendet, anstatt ein neues zu einzurichten. Diese Option ist nur zusammen mit --find sinnvoll.

-j, --associated Datei [-o Versatz]
    zeigt den Status aller Loop-Geräte an, die der angegebenen Datei zugeordnet sind.

-o, --offset Versatz
    verschiebt den Start der Daten um den angegebenen Versatz in Byte in der Datei oder dem angegebenen Gerät. Dem Versatz dürfen multiplikative Suffixe folgen; siehe oben.

--sizelimit Größe
    setzt das Ende der Daten auf nicht mehr als die angegebene Größe in Byte nach dem Anfang der Daten. Dem Versatz dürfen multiplikative Suffixe folgen; siehe oben.

-b, --sector-size Größe
    legt die logische Sektorengröße des Loop-Geräts in Bytes fest (seit Linux 4.14). Die Option darf sowohl beim Erstellen neuer Loop-Geräte als auch als einzelner Befehl zum Ändern der Sektorengröße eines bereits existierenden Loop-Geräts verwendet werden.

-c, --set-capacity Loop-Gerät
    zwingt den Loop-Treiber, die Größe der Datei neu einzulesen, der das angegebene Loop-Gerät zugeordnet ist.

-P, --partscan
    zwingt den Kernel, die Partitionstabelle auf einem neu erstellten Loop-Gerät einzulesen. Beachten Sie, dass das Einlesen der Partitionstabelle von den Sektorengrößen abhängt. Die standardmäßige Sektorengröße ist 512 Byte, anderenfalls müssen Sie die Option --sector-size zusammen mit --partscan verwenden.

-r, --read-only
    richtet ein schreibgeschütztes Loop-Gerät ein.

--direct-io[=on|off]
    aktiviert oder deaktiviert die direkten Ein-/Ausgaben für die zugrunde liegende Datei. Das optionale Argument kann entweder on oder off sein. Wird kein Argument angegeben, ist on die Vorgabe.

-v, --verbose
    aktiviert den ausführlichen Modus.

-l, --list
    Falls ein Loop-Gerät oder die Option -a angegeben ist, werden die Standardspalten für entweder das angegebene Loop-Gerät oder alle Loop-Geräte ausgegeben; die Vorgabe ist die Ausgabe von Informationen zu allen Geräten. Siehe auch --output, --noheadings, --raw und --json.

-O, --output Spalte[,Spalte] …
    gibt an, welche Spalten mit --list ausgegeben werden sollen. Mit --help erhalten Sie eine Liste aller unterstützten Spalten.

--output-all
    gibt alle verfügbaren Spalten aus.

-n, --noheadings
    zeigt bei der Ausgabe mit --list keine Überschriften an.

--raw
    verwendet das Rohformat für die Ausgabe mit --list.

-J, --json
    verwendet das JSON-Format für die Ausgabe mit --list.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

VERSCHLÜSSELUNG
Cryptoloop wird zugunsten von dm-crypt nicht mehr unterstützt. Für weitere Details siehe cryptsetup(8).

RÜCKGABEWERT
losetup gibt 0 im Erfolgsfall und einen von 0 verschiedenen Wert bei einem Fehlschlag zurück. Wenn losetup den Status eines Loop-Geräts anzeigt, wird 1 zurückgegeben, falls das Gerät nicht eingerichtet ist und 2, falls ein Fehler aufgetreten ist, der die Statusermittlung des Geräts verhindert hat.

DATEIEN

/dev/loop[0..N]
    Loop-Blockgeräte

/dev/loop-control
    Loop-Steuergerät

BEISPIEL
Die folgenden Befehle können als Beispiel für die Nutzung eines Loop-Geräts verwendet werden.

    # dd if=/dev/zero of=~/file.img bs=1024k count=10
    # losetup --find --show ~/file.img
    /dev/loop0
    # mkfs -t ext2 /dev/loop0
    # mount /dev/loop0 /mnt
     …
    # umount /dev/loop0
    # losetup --detach /dev/loop0

UMGEBUNGSVARIABLEN

LOOPDEV_DEBUG=all
    aktiviert die Debug-Ausgabe.

AUTOREN
Karel Zak <kzak@redhat.com>, basierend auf der Originalversion von Theodore Ts'o <tytso@athena.mit.edu>

VERFÜGBARKEIT
Der Befehl losetup ist Teil des Pakets util-linux, welches auf https://www.kernel.org/pub/linux/utils/util-linux/ verfügbar ist.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.